Package org.simpleframework.util.buffer

## Class BufferException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.simpleframework.util.buffer.BufferException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class BufferException
      extends java.io.IOException

  The `BufferException` is used to report problems that can occur during the use or allocation of a buffer. Typically this is thrown if the upper capacity limit is exceeded.
  Author:
    Niall Gallagher
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BufferException​(java.lang.String format, java.lang.Object... values)` | Constructor for the `BufferException` object.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferException

          public BufferException​(java.lang.String format,
                                 java.lang.Object... values)

      Constructor for the `BufferException` object. The exception can be provided with a message describing the issue that has arisen in the use or allocation of the buffer.
      Parameters:
        `format` - this is the template for the exception
        `values` - these are the values to be added to the template